package com.alibaba.druid.sql.dialect.oracle.ast.stmt;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.dialect.oracle.visitor.OracleASTVisitor;

public class OracleAlterTablespaceStatement extends OracleStatementImpl implements OracleAlterStatement {
   private SQLName name;
   private OracleAlterTablespaceItem item;

   public void accept0(OracleASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.name);
         this.acceptChild(visitor, this.item);
      }

      visitor.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public OracleAlterTablespaceItem getItem() {
      return this.item;
   }

   public void setItem(OracleAlterTablespaceItem item) {
      this.item = item;
   }
}
